Bug 214085 - Unhelpful error message with 'lshal -u <udi>' and an invalid udi
Unhelpful error message with 'lshal -u <udi>' and an invalid udi
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
7
i686 Linux
medium Severity low
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 11:32 EST by Terry Griffin
Modified: 2013-03-05 22:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:14:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terry Griffin 2006-11-05 11:32:34 EST
Description of problem:

The command 'lshal -u <udi>' generates this peculiar and unhelpful
error message if the udi does not exist:

lshal.c 186 : INFO: called LIBHAL_FREE_DBUS_ERROR but dbusError was not set.

Version-Release number of selected component (if applicable):

hal-0.5.8.1-4.fc6

How reproducible:

100%

Steps to Reproduce:
1. Run 'libhal -u <uid>' is a bogus uid.
2.
3.
  
Actual results:

Message:

lshal.c 186 : INFO: called LIBHAL_FREE_DBUS_ERROR but dbusError was not set.

Expected results:

A more useful error message. (A non-zero exit code would be nice too.)

Additional info:
Comment 1 Bug Zapper 2008-04-04 00:26:46 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Terry Griffin 2008-04-12 13:55:33 EDT
Given an invalid UDI the behavior in Fedora 7 is no message at all, and the exit
code is still zero. 

Though this is different behavior from Fedora 6 I'm not sure this qualifies as
desirable behavior. A message to standard error indicating an invalid or unknown
UDI along with a non-zero exit code would make more sense.
Comment 3 petrosyan 2008-04-25 01:05:58 EDT
lshal's manual page says:
-u, --show
              Show only the given UDI (Unique Device Identifier).

So if the given UDI does not exist then nothing should be shown, which is
lshal's current behaviour. If you think the current behaviour is wrong file a
bug report upstream https://bugs.freedesktop.org/enter_bug.cgi?product=hal
Comment 4 Bug Zapper 2008-05-14 08:04:46 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:14:51 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.